Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Properties | List of all members
SerializeVersion Class Reference

Serializable属性のクラスでのバージョン管理を行う。 More...

## Public Member Functions
bool | Initialize (ISerializeVersionCallbackReceiver callback)
| 初期化を行う。SerializeVersionを持つ型は、コンストラクターでこのメソッドを呼ぶ必要がある。 More...
bool | InitializeIfNessesary ()
| 初期化が必要であれば初期化を行う。 More...
bool | VersioningIfNesessory ()
| 必要であればバージョン管理に移行する。 More...
void | AfterDeserialize ()
| デシリアライズ後の処理。SerializeVersionを持つ型は、ISerializationCallbackReceiver.OnAfterDeserialize()からこのメソッドを呼ぶ必要がある。 More...
void | BeforeDeserialize ()
| シリアライズ前の処理。SerializeVersionを持つ型は、ISerializationCallbackReceiver.OnBeforeDeserialize()からこのメソッドを呼ぶ必要がある。 More...
override string | ToString ()
| バージョン情報を文字列で返す。 More...

## Properties
int | version`[get, set]`
| バージョン番号 More...
bool | isInitialized`[get]`
| 初期化フラグ。 More...
bool | isVersioning`[get]`
| バージョン管理フラグ More...

## Detailed Description

Serializable属性のクラスでのバージョン管理を行う。

## Member Function Documentation

## ◆ AfterDeserialize()

void AfterDeserialize | ( |  | ) |

デシリアライズ後の処理。SerializeVersionを持つ型は、ISerializationCallbackReceiver.OnAfterDeserialize()からこのメソッドを呼ぶ必要がある。

## ◆ BeforeDeserialize()

void BeforeDeserialize | ( |  | ) |

シリアライズ前の処理。SerializeVersionを持つ型は、ISerializationCallbackReceiver.OnBeforeDeserialize()からこのメソッドを呼ぶ必要がある。

## ◆ Initialize()

bool Initialize | ( | ISerializeVersionCallbackReceiver | callback | ) |

初期化を行う。SerializeVersionを持つ型は、コンストラクターでこのメソッドを呼ぶ必要がある。

Parameters

  callback | コールバックレシーバー

Returns
  初期化を行った場合にtrueを返す。

## ◆ InitializeIfNessesary()

bool InitializeIfNessesary | ( |  | ) |

初期化が必要であれば初期化を行う。

Returns
  初期化を行った場合にtrueを返す。

## ◆ ToString()

override string ToString | ( |  | ) |

バージョン情報を文字列で返す。

Returns
  バージョン情報の文字列。

## ◆ VersioningIfNesessory()

bool VersioningIfNesessory | ( |  | ) |

必要であればバージョン管理に移行する。

Returns
  バージョン管理に移行した場合にtrueを返す。

## Property Documentation

## ◆ isInitialized

bool isInitialized
| get

初期化フラグ。

## ◆ isVersioning

bool isVersioning
| get

バージョン管理フラグ

## ◆ version

int version
| get set

バージョン番号